Help answer threads with 0 replies.
Go Back > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Slackware This Forum is for the discussion of Slackware Linux.


  Search this Thread
Old 02-25-2006, 09:26 PM   #1
LQ Newbie
Registered: Sep 2005
Posts: 4

Rep: Reputation: 0
Question Required packages for aRts

I'm trying to do a minimal Slackware install with KDE. Everything is working except for aRts. Whenever I start KDE it tells me "The application sound server (artsd) crashed and caused the signal 11 (SIGSEGV)." I believe I am missing a needed package, because when I do a full install everything works fine. Can anyone tell me the required packages for aRts? Thanks in advance.
Old 02-25-2006, 10:16 PM   #2
Registered: Nov 2004
Location: Torreón, Coahuila, México
Distribution: Gentoo
Posts: 342
Blog Entries: 1

Rep: Reputation: 30
Im puzzled... doesn't Slack have a package manager?
Old 02-25-2006, 10:35 PM   #3
Registered: Apr 2005
Location: Havant, Hampshire, UK
Distribution: Slamd64, Slackware, PS2Linux
Posts: 465

Rep: Reputation: 44
pkgtool (Slack's package manager) doesn't track dependencies.

I fished out the compilation dependencies from here (obscure place, I know!):

As for run-time dependencies? Honestly, I can't say for absolute certainty. Perhaps some stuff in kde-multimedia, maybe some alsa stuff ... sounds unlikely, even to my ears.

I would advise a) install everything, strip back a handful of packages at a time or b) install nothing, then add a few at a time. Certainly start with installpkg slackware/kde/*.tgz and see where that gets you.

I'm sorry for not being much more useful ...

- Piete.
Old 02-26-2006, 08:28 AM   #4
LQ Newbie
Registered: Sep 2005
Posts: 4

Original Poster
Rep: Reputation: 0
Okay, I'll do that. Thanks.
Old 03-05-2006, 03:11 AM   #5
Registered: Feb 2006
Location: Bridgend, Wales
Distribution: Kubuntu 10.04.25 (Feb 2011)
Posts: 172

Rep: Reputation: 30
Did you solce this? artsd crashes whenever users on my machine log in - works fine under root.

(Slack 10.1, KDE 3.5.1, kernels and .5)


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off

Similar Threads
Thread Thread Starter Forum Replies Last Post
Problem downloading and installing required packages gajaykrishnan Debian 2 11-01-2005 11:50 PM
What packages required for sound Ren Slackware 2 01-21-2004 04:53 AM
Can't get the required packages to work.... DJStarx Linux - Software 4 01-03-2004 12:14 PM
Packages that are required mikeshn Linux - General 2 10-23-2003 04:45 PM
How do you install all packages required??? oudent Linux - Newbie 1 04-23-2002 01:53 PM

All times are GMT -5. The time now is 12:55 AM.

Main Menu
Write for LQ is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration